Bug 245490 - VIA K8N800: no wake up after suspend (+ bug during inst. of Fedora7)
VIA K8N800: no wake up after suspend (+ bug during inst. of Fedora7)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 03:23 EDT by Seb
Modified: 2014-10-20 16:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (1.11 KB, application/octet-stream)
2007-06-25 14:55 EDT, Seb
no flags Details
Xorg.0.log (53.64 KB, text/plain)
2007-06-25 14:56 EDT, Seb
no flags Details
Xorg.0.log.old (54.11 KB, application/octet-stream)
2007-06-25 14:56 EDT, Seb
no flags Details
Xorg20.log (51.40 KB, text/plain)
2007-06-25 14:57 EDT, Seb
no flags Details
Xorg.20.log.old (51.55 KB, application/octet-stream)
2007-06-25 14:57 EDT, Seb
no flags Details
Xorg.21.log (51.35 KB, text/plain)
2007-06-25 14:58 EDT, Seb
no flags Details
Xorg.setup.log (949 bytes, text/plain)
2007-06-25 14:58 EDT, Seb
no flags Details
Xorg.0.log.autoconf (53.78 KB, application/octet-stream)
2007-06-25 15:44 EDT, Seb
no flags Details

  None (edit)
Description Seb 2007-06-24 03:23:41 EDT
Hardware used:
Benq Joybook R23 with VIA Unichrome IGP K8N800-Chipset (64 MB shared) and 1024 x
768 standard laptop-monitor.

Description of problem:
Display fails to re-initialise after waking up from suspend mode.

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. wait till Notebook goes into suspend-mode
2. press any key -> HDD-activity, but no display.
3. 
  
Actual results:
screen stays black

Expected results:
return to screen saver or desktop

Additional info:
Pressing [Fn]+[F11] (which switches from external VGA-port to laptop display and
back) doesn't help. This workaround helped whilst installation of Fedora:
Monitor wasn't auto-detected. A standard CRT-monitor with resolution
capabilities of 640 x 480 and 800 x 600 @ millions of colours was initially
installed, leaving the screen black at first start-up of freshly installed
Fedora. Luckily, I pressed [Fn]+[F11] and was able to read the error message of
X11-server. Manual configuration to standard LCD display @ 1024 x 786 @
thousands of colours got things working; millions of colours @ 1024 x 768 didn't
work (is this worth a separate bug-report?).

Greetings, Seb.
Comment 1 Matěj Cepl 2007-06-25 10:03:27 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Seb 2007-06-25 14:55:27 EDT
Created attachment 157785 [details]
xorg.conf
Comment 3 Seb 2007-06-25 14:56:15 EDT
Created attachment 157786 [details]
Xorg.0.log
Comment 4 Seb 2007-06-25 14:56:59 EDT
Created attachment 157787 [details]
Xorg.0.log.old
Comment 5 Seb 2007-06-25 14:57:28 EDT
Created attachment 157788 [details]
Xorg20.log
Comment 6 Seb 2007-06-25 14:57:55 EDT
Created attachment 157789 [details]
Xorg.20.log.old
Comment 7 Seb 2007-06-25 14:58:23 EDT
Created attachment 157790 [details]
Xorg.21.log
Comment 8 Seb 2007-06-25 14:58:46 EDT
Created attachment 157791 [details]
Xorg.setup.log
Comment 9 Seb 2007-06-25 15:04:04 EDT
I'll try and boot without an X.org.conf file present now.
Next attachment will be the /var/log/Xorg.0.log from this attempt.
I will rename the file to Xorg.0.log.autoconf to distinguish it from the other
file I uploaded before with the same name.
Comment 10 Seb 2007-06-25 15:43:25 EDT
booting without an xorg.conf leads to the same result described in my initial
bug report under 'additional info'. Only this time with the advanced problem
that I can't access the manual configuration of the X server even after
repeatedly pressing [Fn]+[F11]. Eventually I get the message 'trying to restart
X server' displayed on the screen. Pressing [ENTER] naturally leads to a blank
screen again because no manual alterations were made and there is still no
xorg.conf present. Vicious circle.
I am attaching Xorg.0.log renamed to Xorg.0.log.autoconf from this attempt.
Comment 11 Seb 2007-06-25 15:44:30 EDT
Created attachment 157799 [details]
Xorg.0.log.autoconf
Comment 12 Adam Jackson 2007-11-28 11:10:46 EST
Mass migration: via -> openchrome.
Comment 13 Xavier Bachelot 2007-12-04 15:57:25 EST
Could you please try to use xorg-x11-drv-openchrome which is the replacement for
the ancient and unmaintained xorg-x11-drv-via ? It is available for both F7 and F8.
My K400 is also not coming back properly from suspend unless I use 'pm-suspend
--quirk-s3-bios'. Could you please give this workaround a test ?
Comment 14 Seb 2007-12-16 05:05:21 EST
Hi Xavier, hi Adam,
thanks for your replies. They motivated me to give Linux/Fedora a new try.
Here the summary of my proceedings/findings:
- Fresh installation of Fedora 8 (with the same problems as encountered with
Fedora 7, see over),
- manual change of xorg.conf to use standard vesa-driver and correct monitor,
  -> glxgears = approx. 300 fps,
- installation of xorg-x11-drv-openchrome-0.2.900-7.fc8.x86_64,
  -> glxgears = approx. 900 fps, 3D-acceleration seems to be working! :)
- Still black screen after wake up from suspend.
  -> I'll try Xavier's workaround and report back a.s.a.p.
Comment 15 Seb 2007-12-17 12:59:26 EST
(In reply to comment #13)
> Could you please try to use xorg-x11-drv-openchrome which is the replacement for
> the ancient and unmaintained xorg-x11-drv-via ? It is available for both F7
and F8.
> My K400 is also not coming back properly from suspend unless I use 'pm-suspend
> --quirk-s3-bios'. Could you please give this workaround a test ?

OK, forget my mail, I figured it out: [root@noname ~]# pm-suspend --quirk-s3-bios
It also works for me.
Comment 16 Xavier Bachelot 2007-12-17 17:34:13 EST
Thanks for testing. The need for this quirk for this laptop should be reported
to upstream hal.
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
I can assist with the patch creation if you need. Please contact me privately if
you want.

I move this bug to hal-info component.

Regards,
Xavier
Comment 17 Bug Zapper 2008-04-04 08:51:48 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 18 Bug Zapper 2008-11-26 02:22:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-01-09 02:08:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.